Bug 951995 - SELinux is preventing /usr/bin/systemctl from 'open' accesses on the file /run/utmp.
Summary: SELinux is preventing /usr/bin/systemctl from 'open' accesses on the file /ru...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f9967f7dcec6153beada2a1392b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-15 02:07 UTC by Ankur Sinha (FranciscoD)
Modified: 2013-04-18 02:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-18 02:52:52 UTC


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2013-04-15 02:07:15 UTC
Description of problem:
SELinux is preventing /usr/bin/systemctl from 'open' accesses on the file /run/utmp.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that systemctl should be allowed open access on the utmp file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep runlevel /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:abrt_t:s0-s0:c0.c1023
Target Context                system_u:object_r:initrc_var_run_t:s0
Target Objects                /run/utmp [ file ]
Source                        runlevel
Source Path                   /usr/bin/systemctl
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           systemd-201-2.fc18.2.x86_64
Target RPM Packages           initscripts-9.42.2-3.fc18.x86_64
Policy RPM                    selinux-policy-3.11.1-87.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.8.7-201.fc18.x86_64 #1 SMP Fri
                              Apr 12 19:46:19 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-04-15 12:05:24 EST
Last Seen                     2013-04-15 12:05:24 EST
Local ID                      7c9d0491-de0c-480b-9b7c-e4fd1a3fb8c8

Raw Audit Messages
type=AVC msg=audit(1365991524.510:494): avc:  denied  { open } for  pid=6975 comm="runlevel" path="/run/utmp" dev="tmpfs" ino=14826 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=system_u:object_r:initrc_var_run_t:s0 tclass=file


type=SYSCALL msg=audit(1365991524.510:494): arch=x86_64 syscall=open success=no exit=EACCES a0=7fe99784fec1 a1=80000 a2=7fe99784fec1 a3=7fe99a651f60 items=0 ppid=6974 pid=6975 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=runlevel exe=/usr/bin/systemctl subj=system_u:system_r:abrt_t:s0-s0:c0.c1023 key=(null)

Hash: runlevel,abrt_t,initrc_var_run_t,file,open

audit2allow

#============= abrt_t ==============
allow abrt_t initrc_var_run_t:file open;

audit2allow -R
require {
	type abrt_t;
}

#============= abrt_t ==============
init_read_utmp(abrt_t)


Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.7-201.fc18.x86_64
type:           libreport

Comment 1 Miroslav Grepl 2013-04-15 06:19:34 UTC
Fixed in selinux-policy-3.11.1-89.fc18.noarch

Comment 2 Fedora Update System 2013-04-15 11:12:43 UTC
selinux-policy-3.11.1-90.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-90.fc18

Comment 3 Fedora Update System 2013-04-16 00:08:16 UTC
Package selinux-policy-3.11.1-90.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-90.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5742/selinux-policy-3.11.1-90.fc18
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-04-18 02:52:53 UTC
selinux-policy-3.11.1-90.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.